Subject: Re: Kernel debug about Linux for PowerPC

From: Momchil Velikov <[email-masked]>
Date: Tue, 07 Mar 2000 11:04:26 +0100

Shuangjun Zhu wrote:
>
> Hello,
>
> I want to use the gdb to debug the kernel version 2.2.13 for my MPC860
> board.
> So I set the compiler configuration parameter CONFIG_KGDB = YES,
> but when I re-compile the kernel, it complains that
>
> arch/ppc/kernel/kernel.o(.text+0x68ac): undefined reference to
> `getDebugChar'
> arch/ppc/kernel/kernel.o(.text+0x6934): undefined reference to
> `putDebugChar'
>
> PROBLEM:
> what's wrong? I find no define for function "getDebugChar" in arch/ppc
> directory.

You have to write these functions yourself. The stub uses them to
communicate with the debugger through whatever device is available on
the board. See 'Targets' -> 'Remote' -> 'Remote Serial' in GDB docs.

Regards,
-velco

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/